Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cmmf
Class RevRequest

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cmmf.RevRequest

All Implemented Interfaces:
  ASN1Value

public class RevRequest
extends java.lang.Object
implements ASN1Value

CMMF RevRequest.

     RevRequest ::= SEQUENCE {
          issuerName      Name,
          serialNumber    INTEGER,
          reason          CRLReason,
          invalidityDate  GeneralizedTime OPTIONAL,
          sharedSecret    OCTET STRING OPTIONAL,
          comment         UTF8String OPTIONAL }

Nested Class Summary
`static class` | `RevRequest.Template` A Template class for decoding a `RevRequest`.

Field Summary
`static ENUMERATED` | `aACompromise` A `CRLReason`, which can be used in the `reason` field.
`static ENUMERATED` | `affiliationChanged` A `CRLReason`, which can be used in the `reason` field.
`static ENUMERATED` | `cACompromise` A `CRLReason`, which can be used in the `reason` field.
`static ENUMERATED` | `certificateHold` A `CRLReason`, which can be used in the `reason` field.
`static ENUMERATED` | `cessationOfOperation` A `CRLReason`, which can be used in the `reason` field.
`static ENUMERATED` | `keyCompromise` A `CRLReason`, which can be used in the `reason` field.
`static ENUMERATED` | `privilegeWithdrawn` A `CRLReason`, which can be used in the `reason` field.
`static ENUMERATED` | `removeFromCRL` A `CRLReason`, which can be used in the `reason` field.
`static ENUMERATED` | `superseded` A `CRLReason`, which can be used in the `reason` field.
`static ENUMERATED` | `unspecified` A `CRLReason`, which can be used in the `reason` field.

Constructor Summary
`RevRequest(ANY issuerName, INTEGER serialNumber, ENUMERATED reason, GeneralizedTime invalidityDate, OCTET_STRING sharedSecret, UTF8String comment)` Constructs a new `RevRequest` from its components.
`RevRequest(ANY issuerName, INTEGER serialNumber, ENUMERATED reason, OCTET_STRING sharedSecret, UTF8String comment)` Deprecated. This constructor is obsolete now that `invalidityDate` has been added to the class.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`UTF8String` | `getComment()` Returns the `comment` field.
`GeneralizedTime` | `getInvalidityDate()` Returns the `invalidityDate` field.
`ANY` | `getIssuerName()` Returns the `issuerName` field as an ANY.
`OCTET_STRING` | `getPassphrase()` Deprecated. The `passphrase` field has been renamed `sharedSecret`. Call `getSharedSecret` instead.
`ENUMERATED` | `getReason()` Returns the `reason` field, which should indicate the reason for the revocation.
`INTEGER` | `getSerialNumber()` Returns the `serialNumber` field.
`OCTET_STRING` | `getSharedSecret()` Returns the `sharedSecret` field.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### unspecified

    public static final ENUMERATED unspecified

  A `CRLReason`, which can be used in the `reason` field.

### keyCompromise

    public static final ENUMERATED keyCompromise

  A `CRLReason`, which can be used in the `reason` field.

### cACompromise

    public static final ENUMERATED cACompromise

  A `CRLReason`, which can be used in the `reason` field.

### affiliationChanged

    public static final ENUMERATED affiliationChanged

  A `CRLReason`, which can be used in the `reason` field.

### superseded

    public static final ENUMERATED superseded

  A `CRLReason`, which can be used in the `reason` field.

### cessationOfOperation

    public static final ENUMERATED cessationOfOperation

  A `CRLReason`, which can be used in the `reason` field.

### certificateHold

    public static final ENUMERATED certificateHold

  A `CRLReason`, which can be used in the `reason` field.

### removeFromCRL

    public static final ENUMERATED removeFromCRL

  A `CRLReason`, which can be used in the `reason` field.

### privilegeWithdrawn

    public static final ENUMERATED privilegeWithdrawn

  A `CRLReason`, which can be used in the `reason` field.

### aACompromise

    public static final ENUMERATED aACompromise

  A `CRLReason`, which can be used in the `reason` field.

Constructor Detail

### RevRequest

    public RevRequest(ANY issuerName,
                      INTEGER serialNumber,
                      ENUMERATED reason,
                      OCTET_STRING sharedSecret,
                      UTF8String comment)

  Deprecated. This constructor is obsolete now that `invalidityDate` has been added to the class.

  Constructs a new `RevRequest` from its components, omitting the `invalidityDate` field.

Parameters:
  `issuerName` - The `issuerName` field.
  `serialNumber` - The `serialNumber` field.
  `reason` - The `reason` field. The constants defined in this class may be used.
  `sharedSecret` - The `sharedSecret` field. This field is optional, so `null` may be used.
  `comment` - The `comment` field. This field is optional, so `null` may be used.

### RevRequest

    public RevRequest(ANY issuerName,
                      INTEGER serialNumber,
                      ENUMERATED reason,
                      GeneralizedTime invalidityDate,
                      OCTET_STRING sharedSecret,
                      UTF8String comment)

  Constructs a new `RevRequest` from its components.

Parameters:
  `issuerName` - The `issuerName` field.
  `serialNumber` - The `serialNumber` field.
  `reason` - The `reason` field. The constants defined in this class may be used.
  `invalidityDate` - The suggested value for the Invalidity Date CRL extension. This field is optional, so `null` may be used.
  `sharedSecret` - The `sharedSecret` field. This field is optional, so `null` may be used.
  `comment` - The `comment` field. This field is optional, so `null` may be used.

Method Detail

### getIssuerName

    public ANY getIssuerName()

  Returns the `issuerName` field as an ANY.

### getSerialNumber

    public INTEGER getSerialNumber()

  Returns the `serialNumber` field.

### getReason

    public ENUMERATED getReason()

  Returns the `reason` field, which should indicate the reason for the revocation. The currently supported reasons are:

       CRLReason ::= ENUMERATED {
            unspecified             (0),
            keyCompromise           (1),
            cACompromise            (2),
            affiliationChanged      (3),
            superseded              (4),
            cessationOfOperation    (5),
            certificateHold         (6),
            removeFromCRL           (8),
            privilegeWithdrawn      (9),
            aACompromise            (10) }

  These are all defined as constants in this class.

### getInvalidityDate

    public GeneralizedTime getInvalidityDate()

  Returns the `invalidityDate` field. Returns `null` if the field is not present.

### getPassphrase

    public OCTET_STRING getPassphrase()

  Deprecated. The `passphrase` field has been renamed `sharedSecret`. Call `getSharedSecret` instead.

  Returns the `passphrase` field. Returns `null` if the field is not present.

### getSharedSecret

    public OCTET_STRING getSharedSecret()

  Returns the `sharedSecret` field. Returns `null` if the field is not present.

### getComment

    public UTF8String getComment()

  Returns the `comment` field. Returns `null` if the field is not present.

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD